<?php
/*
 * ==================================================================
 * e-mail obfuscation-Plugin for CMSimple_XH
 * ==================================================================
 * Copyright:  Emanuel Marinello
 * Website:    https://www.so-leicht.ch
 * License:    GPL3
 * ==================================================================
 */

if (!XH_ADM) {     return; }

define('ENCMAIL_VERSION', '2.0rc5');
define('ENCMAIL_DATE', '2016-01-10');


/*
 * Register the plugin menu items.
 */
if (function_exists('XH_registerStandardPluginMenuItems')) {
    XH_registerStandardPluginMenuItems(false);
}

if (function_exists('XH_wantsPluginAdministration') 
    && XH_wantsPluginAdministration('encmail') 
    || isset($encmail) && $encmail == 'true') {
    $o .= print_plugin_admin('off');
    switch ($admin) {
    case '':
        $o .= '<h1>EncMail_XH for CMSimple_XH</h1>';
        $o .= '<p>Version for @CMSIMPLE_XH_VERSION@</p>';
        $o .= '<p>EncMail_XH version '. ENCMAIL_VERSION . ' &ndash; <a href="http://www.so-leicht.ch/?CMSimple_XH_Downloads" target="_blank">http://www.so-leicht.ch</a>';
        $o .= tag('br');
        $o .= '<p>Copyright ©2010 - 2014 <a href="http://www.pixolution.ch" target="_blank"> Emanuel Marinello</a> ';
        $o .= tag('br');
        $o .= 'Available language packs: de, en.</p>';

        break;
    default:
        $o .= plugin_admin_common($action, $admin, $plugin);
    }
 
}

if ($plugin_cf['encmail']['obfuscate'] == 'page') 
    // tab for admin-menu
    $pd_router->add_tab('Encmail', $pth['folder']['plugins'].'encmail/encmail_view.php');
 
?>